Skip to content
Hoursmith Docs
APIReferenceTasks

Get a task's checklist

Get a task's checklist. Any role that can see the task (archived tasks included). Plan: Studio or Agency (API access). Scope: read.

GET
/tasks/{id}/checklist

Authorization

BearerAuth
AuthorizationBearer <token>

Personal Access Token. Mint at Settings → API. Token shape: hsk_<env>_<prefix12>_<secret32>.

In: header

Path Parameters

id*string

Task UUID.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/checklist"
{  "data": {    "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8",    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "updatedAt": "2019-08-24T14:15:22Z",    "items": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "text": "string",        "done": true,        "position": 0      }    ]  },  "warnings": [    "string"  ]}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
Was this page helpful?